Nástroj pro diagnostiku rozhraní DirectX

Dokumentace k Nástroji pro diagnostiku rozhraní Microsoft® DirectX® obsahuje následující témata:

  • Nástroj pro diagnostiku rozhraní DirectX
  • Nejčastější příčiny potíží
  • Testování součástí rozhraní DirectX
  • Přepsání výchozího nastavení


Nástroj pro diagnostiku rozhraní DirectX

Nástroj pro diagnostiku rozhraní Microsoft® DirectX® poskytuje informace o součástech a ovladačích rozhraní API (Application Programming Interface) DirectX v systému. Tento nástroj umožňuje testovat zvukový a grafický výstup a poskytovatele služeb součásti Microsoft DirectPlay®. Umožňuje také zakázat některé funkce hardwarové akcelerace.

Tento nástroj můžete použít ke shromáždění informací užitečných při kontaktování odborné pomoci, případně můžete informace shromážděné pomocí nástroje uložit a vložit do e-mailu.

Informace jsou zobrazeny na několika kartách. Mezi jednotlivými kartami lze přecházet některým z následujících způsobů:

  • Klepněte na karty.
  • Klepněte na tlačítko Další stránka.
  • Pokud je fokus vstupu na kartě, stiskněte klávesu ŠIPKA VLEVO nebo ŠIPKA VPRAVO.

Můžete zadat způsob, jakým nástroj zobrazí tabulky. Zvolte sloupec, podle kterého chcete řádky tabulky seřadit. Klepněte na tlačítko záhlaví v horní části sloupce. Tabulka bude seřazena v abecedním nebo numerickém pořadí podle toho, jaké položky daný sloupec obsahuje. Požadujete-li řazení v opačném pořadí, klepněte na tlačítko záhlaví znovu.

Klepnutím na tlačítko Uložit všechny informace můžete uložit všechny informace do textového souboru.

Poznámka

  • Některé informace, například velikost paměti grafické karty, mohou být pouze přibližné.


Nejčastější příčiny potíží

Jestliže při spuštění aplikací rozhraní Microsoft® DirectX® dochází k potížím, může Nástroj pro diagnostiku rozhraní DirectX pomoci najít jejich příčinu. Snažte se vyhledat zejména následující položky:

  • Chybné verze součástí rozhraní DirectX. Ve skupinovém rámečku Poznámky na kartě Soubory rozhraní DirectX vyhledejte varování týkající se souborů pro testování a ladění. Soubory pro testování představují dřívější zkušební verze a neměly by být instalovány spolu s komerčními aplikacemi. Verze určené k ladění, které jsou používány při vývoji programu a rovněž by neměly být instalovány spolu s konečným produktem, mohou způsobit, že aplikace budou pracovat výrazně pomaleji než při použití prodávaných verzí součástí.
  • Nedostatečná hardwarová akcelerace. Není-li dostupná hardwarová akcelerace Microsoft DirectDraw® nebo Direct3D®, poběží některé programy velmi pomalu nebo nepoběží vůbec. Na kartě Zobrazení ve skupinovém rámečku Funkce rozhraní DirectX zjistěte, zda je u součásti DirectDraw nebo Direct3D uvedeno označení "Není k dispozici". Jestliže ano, zvažte inovaci hardwaru.
  • Zařízení není připojeno. Jestliže pákový ovladač nebo jiné vstupní zařízení neodpovídá, nejsou pravděpodobně správně nastaveny. Ujistěte se, zda je zařízení uvedeno na kartě Vstup Nástroje pro diagnostiku rozhraní DirectX. Pokud tomu tak není, přidejte dané zařízení v okně Ovládací panely.
  • Nepodepsané ovladače. Necertifikované ovladače nebyly společností Microsoft podrobeny testům plné kompatibility s nejnovější verzí rozhraní DirectX. Tyto ovladače nejsou uvedeny na příslušné stránce součásti.

Poznámka: Pokud pomocí Terminálové služby pracujete ve vzdáleném počítači, který podporuje hardwarovou akceleraci, bude pravděpodobně Nástroj pro diagnostiku rozhraní DirectX indikovat podporu hardwarové akcelerace. Terminálová služba však hardwarovou akceleraci používat nemůže. Podpora proto není k dispozici.


Testování součástí rozhraní DirectX

Součásti Microsoft® DirectDraw® a Direct3D® je možné testovat na všech monitorech připojených k počítači, součást DirectSound® na všech zařízeních s výstupem wave a součást DirectMusic® na všech hudebních portech.

Test funkce rozhraní DirectX: Klepněte na tlačítko Test na příslušné stránce, přečtěte si všechny zobrazené zprávy a sledujte nebo poslouchejte testy. Po skončení každého testu se zobrazí zpráva s dotazem, zda byl test úspěšný. Pokud odpovíte Ne, nespustí se žádné další testy.

V případě součásti DirectMusic proběhne pouze jeden test. Jakmile se ujistíte, zda hudba hraje nebo nehraje správně, klepněte na tlačítko OK.

Funkčnost součásti Microsoft DirectPlay® můžete testovat také u kteréhokoli poskytovatele služeb.

Test součásti DirectPlay

  1. Na kartě Síť klepněte na tlačítko Test rozhraní DirectPlay. V dialogovém okně Test rozhraní DirectPlay zadejte uživatelské jméno a zvolte poskytovatele služeb. Klepněte na přepínač Vytvořit novou relaci a klepněte na tlačítko OK. Pokud jste zvolili připojení pomocí modemu, klepněte na tlačítko Odpovědět v dialogovém okně Připojení modemem.
  2. Spusťte Nástroj pro diagnostiku rozhraní Microsoft DirectX® v jiném počítači, který s prvním počítačem může navázat vybrané připojení. Klepněte na tlačítko Test rozhraní DirectPlay, zadejte jiné uživatelské jméno, zvolte stejného poskytovatele služeb, klepněte na přepínač Přidat se k existující relaci a na tlačítko OK.

    U některých typů připojení můžete být požádáni o další informace, například telefonní číslo. V případě připojení TCP/IP v místní síti můžete textové pole ponechat nevyplněné.

  3. V druhém počítači vyberte v dialogovém okně Seznam relací, které obsahuje název relace vytvořené v prvním počítači, název relace a klepněte na tlačítko OK.
  4. Na obou počítačích by se nyní mělo zobrazit dialogové okno konverzace. Na jednom z počítačů zadejte do vstupního pole zprávu a klepněte na tlačítko Odeslat. Zpráva by se měla zobrazit v posuvné části dialogového okna konverzace na obou počítačích.


Přepsání výchozího nastavení

Na kartě Zvuk lze pomocí jezdce nastavit jinou úroveň hardwarové akcelerace. Po ukončení Nástroje pro diagnostiku rozhraní Microsoft® DirectX® bude zvolená úroveň nadále používána.

Je-li k dispozici hardwarová akcelerace součástí Microsoft DirectDraw® nebo Direct3D®, můžete ji zakázat. U jednotlivých grafických zařízení přejděte na kartu Zobrazení a klepněte na tlačítko Zakázat. Po zakázání nebude tato hardwarová akcelerace k dispozici v žádné aplikaci ani poté, co Nástroj pro diagnostiku rozhraní DirectX ukončíte. Chcete-li hardwarovou akceleraci opět povolit, klepněte na tlačítko Povolit na příslušné kartě Zobrazení.

Poznámka

  • Zakážete-li akceleraci součásti DirectDraw, bude zakázána také u součásti Direct3D.

Je také možné přepsat obnovovací frekvenci monitoru nastavenou aplikacemi používajícími rozhraní DirectDraw v režimu zobrazení na celé obrazovce. Tento krok je vhodné provést pouze v případě, že u aplikace dochází k problémům se zobrazením a máte odůvodněné obavy, že tato aplikace nastavuje neplatnou obnovovací frekvenci.

Přepsání obnovovaní frekvence:

  1. Na kartě Další nápověda klepněte na tlačítko Přepsat.
  2. V dialogovém okně Přepsat nastavení obnovovací frekvence klepněte do textového pole a zadejte platnou obnovovací frekvenci monitoru.

    Tím je automaticky zvolen přepínač Nová hodnota.

  3. Klepněte na tlačítko OK.

Zrušení přepsaného nastavení obnovovací frekvence a povolení nastavení vlastní obnovovací frekvence v aplikacích používajících rozhraní DirectDraw:

  1. Na kartě Další nápověda klepněte na tlačítko Přepsat.
  2. V dialogovém okně Přepsat nastavení obnovovací frekvence klepněte na přepínač Výchozí a potom na tlačítko OK.